package com.fjhx.victoriatourist.service.jd;

import com.fjhx.victoriatourist.entity.jd.vo.TellBackOrderVO;

public interface JdApiService {

    /**
     * 通过code获取AccessToken
     */
    void getAccessTokenByCode(String code);

    /**
     * 构造jd登录地址
     * @author hj
     */
    String build2LoginUrl();

    /**
     * 订单回告
     * @author hj
     */
    void tellBackOrer(TellBackOrderVO tellBackOrderVO);

    /**
     * 开始京东订单采集
     * @author hj
     * @date 2023/12/13 22:30
     */
    void startJdOrder();

    /**
     * 开始京东退货单采集
     * @author hj
     * @date 2023/12/13 22:30
     */
    void startJdBackOrder();

    /**
     * 刷新京东状态
     * @param
     */
    void refreshJdState();

    /**
     * 初始化租户字典表
     */
    void initTenantDict();

    void compensatingProductNon();
}
